cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
环境 ID
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Archive a specified environment
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/environments/{environment_id}/archive' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"id": "env_xxx",
"type": "environment",
"name": "data-sandbox",
"description": "数据分析沙箱",
"config": {
"type": "cloud",
"packages": {
"apt": [
"ffmpeg"
],
"pip": [
"pandas",
"numpy",
"matplotlib"
]
},
"networking": {
"type": "unrestricted"
}
},
"metadata": {
"team": "infra"
},
"scope": "organization",
"archived_at": "2026-06-16T13:47:18+08:00",
"created_at": "2026-06-16T12:45:34+08:00",
"updated_at": "2026-06-16T13:47:18+08:00",
"requestId": "xxx"
}DashScope API Key
环境 ID
环境 ID
固定为 environment
环境名称
环境用途说明
作用域
业务自定义键值
归档时间,ISO 8601;归档接口返回的对象中该字段一定非空
创建时间,ISO 8601
最近更新时间,ISO 8601
本次请求的唯一标识
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/environments/{environment_id}/archive' \
--header 'Authorization: Bearer <YOUR_API_KEY>'{
"id": "env_xxx",
"type": "environment",
"name": "data-sandbox",
"description": "数据分析沙箱",
"config": {
"type": "cloud",
"packages": {
"apt": [
"ffmpeg"
],
"pip": [
"pandas",
"numpy",
"matplotlib"
]
},
"networking": {
"type": "unrestricted"
}
},
"metadata": {
"team": "infra"
},
"scope": "organization",
"archived_at": "2026-06-16T13:47:18+08:00",
"created_at": "2026-06-16T12:45:34+08:00",
"updated_at": "2026-06-16T13:47:18+08:00",
"requestId": "xxx"
}